import Flutter
import UIKit


public class SwiftJmBasicFlutterPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "jm_basic_flutter", binaryMessenger: registrar.messenger())
        let instance = SwiftJmBasicFlutterPlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        switch (call.method) {
        case "getPlatformVersion":
            result("iOS " + UIDevice.current.systemVersion)
            
        case "makeImagePicker":
            ImagePickerManager.makeImagePicker(call, result: result)
            
        case "callNativeRequest":
            let argumentMap = call.arguments as? [String: Any?]
            NetworkManager.request(data: (argumentMap ?? [:]) as [String : Any], finish: { data in
                result(data)
            })
            
        default:
            result(nil)
        }
        
        
    }
}
