import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import 'jm_basic_flutter_platform_interface.dart';

/// An implementation of [JmBasicFlutterPlatform] that uses method channels.
class MethodChannelJmBasicFlutter extends JmBasicFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('jm_basic_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }

  @override
  Future<dynamic> makeImagePicker({
    int maxSelectCount = 9,
    bool isCamera = false,
    bool allowSelectGif = false,
  }) async {
    final data = await methodChannel.invokeMethod(
      'makeImagePicker',
      {
        'maxSelectCount': maxSelectCount,
        'isCamera': isCamera,
        'allowSelectGif': allowSelectGif,
      },
    );
    return data;
  }

  @override
  Future<dynamic> callIOSNativeRequest(dynamic data) {
    return methodChannel.invokeMethod('callNativeRequest', data);
  }

}
