import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'jm_basic_flutter_method_channel.dart';

abstract class JmBasicFlutterPlatform extends PlatformInterface {
  /// Constructs a JmBasicFlutterPlatform.
  JmBasicFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static JmBasicFlutterPlatform _instance = MethodChannelJmBasicFlutter();

  /// The default instance of [JmBasicFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelJmBasicFlutter].
  static JmBasicFlutterPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [JmBasicFlutterPlatform] when
  /// they register themselves.
  static set instance(JmBasicFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<dynamic> makeImagePicker({
    int maxSelectCount = 9,
    bool isCamera = false,
    bool allowSelectGif = false,
  }) {
    throw UnimplementedError('makeImagePicker() has not been implemented.');
  }

  Future<dynamic> callIOSNativeRequest(dynamic data) {
    throw UnimplementedError('callIOSNativeRequest() has not been implemented.');
  }

}
