import 'dart:io';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

/// 是否是APP
bool get kIsApp {
  return kIsIOS || kIsAndroid;
}

/// 是否是iOS
bool get kIsIOS {
  return !kIsWeb && Platform.isIOS;
}

/// 是否是Android
bool get kIsAndroid {
  return !kIsWeb && Platform.isAndroid;
}

/// screen width
double get kScreenW => MediaQueryData.fromWindow(WidgetsBinding.instance.window).size.width;

/// screen height
double get kScreenH => MediaQueryData.fromWindow(WidgetsBinding.instance.window).size.height;

/// 是否是小屏机型
bool get kIsSmallScreen => kScreenW <= 375;