import 'package:flutter/material.dart';

class SearchHistory extends StatelessWidget {
  final VoidCallback? onRemoveSearchHistory;
  final List<String> searchHistory;
  final String? title;
  final Function(int, String)? onTap;

  const SearchHistory({this.onRemoveSearchHistory, this.title, required this.searchHistory, this.onTap});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(
              title ?? 'Search History',
              style: TextStyle(color: Color(0xFFA1A1A1)),
            ),
            RawMaterialButton(
              onPressed: onRemoveSearchHistory,
              materialTapTargetSize: MaterialTapTargetSize.shrinkWrap,
              constraints: BoxConstraints(),
              child: Icon(
                Icons.delete_outline,
                color: Color(0xFFA1A1A1),
                size: 24,
              ),
            )
          ],
        ),
        SizedBox(
          height: 8,
        ),
        Wrap(
          spacing: 12,
          runSpacing: 12,
          alignment: WrapAlignment.start,
          children: searchHistory
              .asMap()
              .entries
              .map((e) => SizedBox(
                    height: 35,
                    child: ElevatedButton(
                      onPressed: () {
                        if (onTap != null) {
                          onTap!(e.key, e.value);
                        }
                      },
                      style: ElevatedButton.styleFrom(backgroundColor: Colors.white, elevation: 0),
                      child: Text(e.value),
                    ),
                  ))
              .toList(),
        )
      ],
    );
  }
}
