import 'package:flutter/material.dart';
import 'package:get/get.dart';

class SimpleAlertDialogContainer extends StatelessWidget {
  final Widget title;
  final List<Widget> children;
  final String? cancelTitle;
  final String? confirmTitle;
  final VoidCallback? onCancel;
  final VoidCallback? onConfirm;
  final Color themeColor;

  const SimpleAlertDialogContainer({
    required this.title,
    required this.children,
    this.cancelTitle,
    this.confirmTitle,
    this.onCancel,
    this.onConfirm,
    this.themeColor = const Color(0xFFEC6D20),
  });

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: 310,
      child: SingleChildScrollView(
        child: Column(
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            Container(
              padding: EdgeInsets.symmetric(horizontal: 24, vertical: 16),
              child: Column(
                mainAxisSize: MainAxisSize.min,
                crossAxisAlignment: CrossAxisAlignment.stretch,
                children: [title, SizedBox(height: 16), ...children],
              ),
            ),
            Divider(height: 1),
            SizedBox(
              height: 48,
              child: Row(children: [
                Expanded(
                  child: TextButton(
                    onPressed: onCancel,
                    child: Text(
                      cancelTitle ?? 'no',
                      style: TextStyle(fontSize: 18, color: Color(0xFF777777)),
                    ),
                  ),
                ),
                VerticalDivider(),
                Expanded(
                  child: TextButton(
                    onPressed: onConfirm,
                    child: Text(
                      confirmTitle ?? 'yes'.tr,
                      style: TextStyle(color: themeColor, fontWeight: FontWeight.bold, fontSize: 18),
                    ),
                  ),
                )
              ]),
            )
          ],
        ),
      ),
    );
  }
}
