import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:jm_basic_flutter/jm_basic_flutter_method_channel.dart';

void main() {
  MethodChannelJmBasicFlutter platform = MethodChannelJmBasicFlutter();
  const MethodChannel channel = MethodChannel('jm_basic_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
