import 'package:flutter_test/flutter_test.dart';
import 'package:jm_basic_flutter/jm_basic_flutter.dart';
import 'package:jm_basic_flutter/jm_basic_flutter_platform_interface.dart';
import 'package:jm_basic_flutter/jm_basic_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockJmBasicFlutterPlatform 
    with MockPlatformInterfaceMixin
    implements JmBasicFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');

  @override
  Future makeImagePicker({int maxSelectCount = 9, bool isCamera = false, bool allowSelectGif = false}) {
    // TODO: implement makeImagePicker
    throw UnimplementedError();
  }

  @override
  Future callIOSNativeRequest(data) {
    throw UnimplementedError();
  }
}

void main() {
  final JmBasicFlutterPlatform initialPlatform = JmBasicFlutterPlatform.instance;

  test('$MethodChannelJmBasicFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelJmBasicFlutter>());
  });

  test('getPlatformVersion', () async {
    JmBasicFlutter jmBasicFlutterPlugin = JmBasicFlutter();
    MockJmBasicFlutterPlatform fakePlatform = MockJmBasicFlutterPlatform();
    JmBasicFlutterPlatform.instance = fakePlatform;
  
    expect(await jmBasicFlutterPlugin.getPlatformVersion(), '42');
  });
}
